(in-package :taxonomy)

(def-project
    :label "pg"
    :name "Pg"
    :category "Database"
    :description "A Common Lisp interface to the PostgreSQL database")

(def-project
    :label "lispfaq"
    :name "Lispfaq"
    :category "Documentation"
    :description "The Lisp FAQ")

(def-project
    :label "bayescl"
    :name "Bayescl"
    :category "Email"
    :description "Bayescl is a general purpose Bayesian pattern filtering library for Common Lisp")

(def-project
    :label "macho"
    :name "Macho"
    :category "Email"
    :description "Email web archiving system")

(def-project
    :label "anaphora"
    :name "Anaphora"
    :category "Extensions"
    :description "Anaphora is the anaphoric macro collection from Hell")

(def-project
    :label "cells"
    :name "Cells"
    :category "Extensions"
    :description "A dataflow extension to CLOS.")

(def-project
    :label "cl-menusystem"
    :name "cl-menusystem"
    :category "Extensions"
    :description "menus for CL")

(def-project
    :label "definer"
    :name "definer"
    :category "Extensions"
    :description "Provides a generalized DEF macro that will allow you to define anything within a CL implementation with a simplified, yet user programmable, syntax.")

(def-project
    :label "encline"
    :name "Encline"
    :category "Extensions"
    :description "A Common Lisp software engine for enterprise-class software development.")

(def-project
    :label "hyperdoc"
    :name "Hyperdoc"
    :category "Extensions"
    :description "Hyperdoc is a hypertext documentation support system for Common Lisp")

(def-project
    :label "sexpc"
    :name "sexpc"
    :category "Extensions"
    :description "s-expression to C translation")

(def-project
    :label "defmud"
    :name "defmud"
    :category "Games"
    :description "???")

(def-project
    :label "innen"
    :name "Innen"
    :category "Games"
    :description "A console RPG written in Common Lisp")

(def-project
    :label "cello"
    :name "Cello"
    :category "Graphics"
    :description "The portable universal CL GUI.")

(def-project
    :label "cl-gd"
    :name "CL-GD"
    :category "Graphics"
    :description "Use the GD Graphics Library from Common Lisp")

(def-project
    :label "cl-ncurses"
    :name "CL-Ncurses"
    :category "Graphics"
    :description "A Ncurses interface for Common Lisp")

(def-project
    :label "cl-pdf"
    :name "cl-pdf"
    :category "Graphics"
    :description "Create fancy pdf files.")

(def-project
    :label "defwm"
    :name "DefWM"
    :category "Graphics"
    :description "An extensible, object-oriented, command-oriented X11 window manager.")

(def-project
    :label "eclipse"
    :name "Eclipse"
    :category "Graphics"
    :description "The Common Lisp window manager")

(def-project
    :label "imago"
    :name "IMAGO"
    :category "Graphics"
    :description "Common Lisp image manipulation library")

(def-project
    :label "lgtk"
    :name "lgtk"
    :category "Graphics"
    :description "GTK bindings for Common Lisp")

(def-project
    :label "clotho"
    :name "Clotho"
    :category "IDE"
    :description "An open-source Lisp IDE for Mac OS X")

(def-project
    :label "slime"
    :name "SLIME"
    :category "IDE"
    :description "The Superior Lisp Interaction Mode (Extended)")

(def-project
    :label "linedit"
    :name "Linedit"
    :category "Interfacing"
    :description "A readline-style library written in Common Lisp that provides customizable line-editing features")

(def-project
    :label "ubf"
    :name "UBF"
    :category "Interfacing"
    :description "A Universal Binary Format library")

(def-project
    :label "xmls"
    :name "XMLS"
    :category "Interfacing"
    :description "a simple XML parser for Common Lisp")

(def-project
    :label "clotnet"
    :name "clotnet"
    :category "Network"
    :description "CLOS-extensible framework for developing multi-user online role-playing games")

(def-project
    :label "lisppaste"
    :name "Lisppaste"
    :category "Network"
    :description "A paste bot in CL")

(def-project
    :label "rfc2822"
    :name "rfc2822"
    :category "Network"
    :description "A Common Lisp implementation of RFC 2822")

(def-project
    :label "unetwork"
    :name "UNETWORK"
    :category "Network"
    :description "Common Lisp networking library")

(def-project
    :label "defplayer"
    :name "defplayer"
    :category "Multimedia"
    :description "A CLOS-extensible media player/viewer that uses CLIM")

(def-project
    :label "gsharp"
    :name "Gsharp"
    :category "Music"
    :description "The interactive extensible score editor")

(def-project
    :label "cl-cracklib"
    :name "cl-cracklib"
    :category "System"
    :description "cl-cracklib is an interface to cracklib and its FascistCheck function")

(def-project
    :label "cl-syslog"
    :name "cl-syslog"
    :category "System"
    :description "A Common Lisp library that provides access to the syslog logging facility under Unix.")

(def-project
    :label "cl-snmp"
    :name "cl-snmp"
    :category "System"
    :description "A System Management Substrate for Common Lisp.")

(def-project
    :label "log4cl"
    :name "Log4cl"
    :category "System"
    :description "A log library for Common Lisp")

(def-project
    :label "movitz"
    :name "Movitz"
    :category "System"
    :description "A Common Lisp x86 development platform.")

(def-project
    :label "osicat"
    :name "Osicat"
    :category "System"
    :description "A lightweight operating system interface for Common Lisp on Unix-platforms")

(def-project
    :label "cl-interpol"
    :name "CL-INTERPOL"
    :category "Text processing"
    :description "string interpolation for Common Lisp.")

(def-project
    :label "cl-ppcre"
    :name "CL-PPCRE"
    :category "Text processing"
    :description "portable Perl-compatible regular expressions for Common Lisp.")

(def-project
    :label "cl-typesetting"
    :name "cl-typesetting"
    :category "Text processing"
    :description "cl-typesetting is a complete typesetting system written in Common Lisp using cl-pdf for the direct generation of pdf files.")

(def-project
    :label "defdoc"
    :name "DefDoc"
    :category "Text processing"
    :description "An extensible, dynamic document creation system.")

(def-project
    :label "defeditor"
    :name "DefEditor"
    :category "Text processing"
    :description "An extensible, dynamic strcutured document editor.")

(def-project
    :label "clhp"
    :name "CLHP"
    :category "Web programming"
    :description "The Common Lisp Hypertext Preprocessor.")

(def-project
    :label "cl-blog"
    :name "cl-blog"
    :category "Web programming"
    :description "???")

(def-project
    :label "cl-who"
    :name "CL-WHO"
    :category "Web programming"
    :description "Yet another Lisp Markup Language")

(def-project
    :label "html-template"
    :name "HTML-TEMPLATE"
    :category "Web programming"
    :description "Use HTML Templates from Common Lisp")

(def-project
    :label "mod-lisp"
    :name "mod-lisp"
    :category "Web programming"
    :description "An Apache module to easily write web applications in Lisp")

(def-project
    :label "rfc2388"
    :name "rfc2388"
    :category "Web programming"
    :description "An implementation of RFC 2388 in Common Lisp")

(def-project
    :label "ucw"
    :name "UCW"
    :category "Web programming"
    :description "UnCommon Web is a Common Lisp web application development framework.")

(def-project
    :label "bese"
    :name "bese"
    :category "Misc."
    :description "The bese project is an umbrella project containing various open source Common Lisp libraries.")

(def-project
    :label "ganelon"
    :name "ganelon"
    :category "Misc."
    :description "a tiny project implementing model-view-controller architecture under portable allegro serve")

(def-project
    :label "hyperspec-lookup"
    :name "hyperspec-lookup"
    :category "Misc."
    :description "An ANSI Common Lisp library that gives the user an interface to mapping symbols to URLs for the  Common Lisp Hyperspec and Common Lisp Object System (CLOS) MetaObject Protocol")

(def-project
    :label "lisp-res-kit"
    :name "The Lisp Resource Kit"
    :category "Misc."
    :description "A dedicated development/learning environment on a self-booting CD.")

(def-project
    :label "rjain-utils"
    :name "rjain-utils"
    :category "Misc."
    :description "Libraries used by defdoc, defmud, defplayer, etc.")
